//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////
///			Copyright 2019 (C) Bruno Xavier B. Leite
//////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#include "IOBJPoolEditor.h"
#include "OBJPoolEditor.h"
#include "OBJPoolStyle.h"

#include "OBJPoolEditor_Shared.h"

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#define LOCTEXT_NAMESPACE "Synaptech"

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

void OBJPoolEditor::StartupModule() {
	FOBJPoolStyle::Initialize();
	//
	IAssetTools &AssetTools = FModuleManager::LoadModuleChecked<FAssetToolsModule>("AssetTools").Get();
	SY_AssetCategory = AssetTools.RegisterAdvancedAssetCategory(FName(TEXT("Synaptech")),LOCTEXT("SynaptechCategory","Synaptech"));
	//
	{
		TSharedRef<IAssetTypeActions> ACT_OBJP = MakeShareable(new FATA_OBJP); AssetTools.RegisterAssetTypeActions(ACT_OBJP);
		TSharedRef<IAssetTypeActions> ACT_PWP = MakeShareable(new FATA_PWP); AssetTools.RegisterAssetTypeActions(ACT_PWP);
		TSharedRef<IAssetTypeActions> ACT_CHP = MakeShareable(new FATA_CHP); AssetTools.RegisterAssetTypeActions(ACT_CHP);
		TSharedRef<IAssetTypeActions> ACT_SHP = MakeShareable(new FATA_SHP); AssetTools.RegisterAssetTypeActions(ACT_SHP);
	}
}

void OBJPoolEditor::ShutdownModule() {
	FOBJPoolStyle::Shutdown();
}

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#undef LOCTEXT_NAMESPACE

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

IMPLEMENT_MODULE(OBJPoolEditor,OBJPoolEditor);

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////